/*
 * Copyright (c) 2002-2003, Network Appliance, Inc. All rights reserved.
 *
 * This Software is licensed under either one of the following two licenses:
 *
 * 1) under the terms of the "Common Public License 1.0" a copy of which is
 *    in the file LICENSE.txt in the root directory. The license is also
 *    available from the Open Source Initiative, see
 *    http://www.opensource.org/licenses/cpl.php.
 * OR
 *
 * 2) under the terms of the "The BSD License" a copy of which is in the file
 *    LICENSE2.txt in the root directory. The license is also available from
 *    the Open Source Initiative, see
 *    http://www.opensource.org/licenses/bsd-license.php.
 *
 * Licensee has the right to choose either one of the above two licenses.
 *
 * Redistributions of source code must retain both the above copyright
 * notice and either one of the license notices.
 *
 * Redistributions in binary form must reproduce both the above copyright
 * notice, either one of the license notices in the documentation
 * and/or other materials provided with the distribution.
 */

/**********************************************************************
 *
 * HEADER: kdat_vendor_specific.h
 *
 * PURPOSE:
 *
 * Description:
 *
 * Mapping rules:
 *      All global symbols are prepended with "DAT_" or "dat_"
 *      All DAT objects have an 'api' tag which, such as 'ep' or 'lmr'
 *      The method table is in the provider definition structure.
 *
 *
 **********************************************************************/

#ifndef _KDAT_VENDOR_SPECIFIC_H_
#define _KDAT_VENDOR_SPECIFIC_H_


#include "dat_vendor_specific.h" /* Interface Adaptor attributes */

/* Vendor specific extensions */

#if defined(_JNI)

#elif defined(_INTEL)

#elif defined(_INFINISWITCH)

#elif defined(_MELLANOX)

#elif defined(_INFINICON)

#elif defined(_TOPSPIN)

#endif

#endif /* _KDAT_VENDOR_SPECIFIC_H_ */



